/**
 * Created by zhang on 2018/9/3.
 */

let express = require("express");
let billCodeRouter =express.Router();
import  BillCodeController from "../controllers/bill_code_controller";
let billCodeController = new BillCodeController();

module.exports =function (app){

    billCodeRouter.get("/main", billCodeController.auth, billCodeController.init, billCodeController.main);
    billCodeRouter.post("/addLib", billCodeController.auth, billCodeController.init, billCodeController.addLib);
    billCodeRouter.post("/findLib", billCodeController.auth, billCodeController.init, billCodeController.findLib);
    billCodeRouter.post("/saveLib", billCodeController.auth, billCodeController.init, billCodeController.saveLib);
    billCodeRouter.post("/deleteLibByID", billCodeController.auth, billCodeController.init, billCodeController.deleteLibByID);
    billCodeRouter.get("/edit/:libID", billCodeController.auth, billCodeController.init, billCodeController.edit);
    app.use("/billCode", billCodeRouter);
};


